Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class UserProfile

    java.lang.Object
      org.jboss.portal.wsrp.core.UserProfile

All Implemented Interfaces:
  java.io.Serializable

    public class UserProfile

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.util.Calendar` | `bdate`
`protected Contact` | `businessInfo`
`protected EmployerInfo` | `employerInfo`
`protected Extension[]` | `extensions`
`protected java.lang.String` | `gender`
`protected Contact` | `homeInfo`
`protected PersonName` | `name`

Constructor Summary
`UserProfile()`
`UserProfile(PersonName name, java.util.Calendar bdate, java.lang.String gender, EmployerInfo employerInfo, Contact homeInfo, Contact businessInfo, Extension[] extensions)`

Method Summary
`java.util.Calendar` | `getBdate()`
`Contact` | `getBusinessInfo()`
`EmployerInfo` | `getEmployerInfo()`
`Extension[]` | `getExtensions()`
`java.lang.String` | `getGender()`
`Contact` | `getHomeInfo()`
`PersonName` | `getName()`
`void` | `setBdate(java.util.Calendar bdate)`
`void` | `setBusinessInfo(Contact businessInfo)`
`void` | `setEmployerInfo(EmployerInfo employerInfo)`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setGender(java.lang.String gender)`
`void` | `setHomeInfo(Contact homeInfo)`
`void` | `setName(PersonName name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected PersonName name

### bdate

    protected java.util.Calendar bdate

### gender

    protected java.lang.String gender

### employerInfo

    protected EmployerInfo employerInfo

### homeInfo

    protected Contact homeInfo

### businessInfo

    protected Contact businessInfo

### extensions

    protected Extension[] extensions

Constructor Detail

### UserProfile

    public UserProfile()

### UserProfile

    public UserProfile(PersonName name,
                       java.util.Calendar bdate,
                       java.lang.String gender,
                       EmployerInfo employerInfo,
                       Contact homeInfo,
                       Contact businessInfo,
                       Extension[] extensions)

Method Detail

### getName

    public PersonName getName()

### setName

    public void setName(PersonName name)

### getBdate

    public java.util.Calendar getBdate()

### setBdate

    public void setBdate(java.util.Calendar bdate)

### getGender

    public java.lang.String getGender()

### setGender

    public void setGender(java.lang.String gender)

### getEmployerInfo

    public EmployerInfo getEmployerInfo()

### setEmployerInfo

    public void setEmployerInfo(EmployerInfo employerInfo)

### getHomeInfo

    public Contact getHomeInfo()

### setHomeInfo

    public void setHomeInfo(Contact homeInfo)

### getBusinessInfo

    public Contact getBusinessInfo()

### setBusinessInfo

    public void setBusinessInfo(Contact businessInfo)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD